org.apache.commons.io.output

## Class NullOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.commons.io.output.NullOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class NullOutputStream
      extends OutputStream

  This OutputStream writes all data to the famous /dev/null.

  This output stream has no destination (file/socket etc.) and all bytes written to it are ignored and lost.

  Version:
    $Id$

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NullOutputStream` | `NULL_OUTPUT_STREAM` A singleton.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullOutputStream()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(byte[] b)` Does nothing - output to `/dev/null`.
    `void` | `write(byte[] b, int off, int len)` Does nothing - output to `/dev/null`.
    `void` | `write(int b)` Does nothing - output to `/dev/null`.

    - ### Methods inherited from class java.io.OutputStream

      `close, flush`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NULL_OUTPUT_STREAM

          public static final NullOutputStream NULL_OUTPUT_STREAM

      A singleton.

  - ### Constructor Detail

    - #### NullOutputStream

          public NullOutputStream()

  - ### Method Detail

    - #### write

          public void write(byte[] b,
                            int off,
                            int len)

      Does nothing - output to `/dev/null`.
      Overrides:
        `write` in class `OutputStream`
      Parameters:
        `b` - The bytes to write
        `off` - The start offset
        `len` - The number of bytes to write

    - #### write

          public void write(int b)

      Does nothing - output to `/dev/null`.
      Specified by:
        `write` in class `OutputStream`
      Parameters:
        `b` - The byte to write

    - #### write

          public void write(byte[] b)
                     throws IOException

      Does nothing - output to `/dev/null`.
      Overrides:
        `write` in class `OutputStream`
      Parameters:
        `b` - The bytes to write
      Throws:
        `IOException` - never

Copyright © 2002–2017 The Apache Software Foundation. All rights reserved.